## python-pyinstrument 5.1.1+ds

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile livehtml

livehtml:
	sphinx-autobuild -a --watch ../pyinstrument "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-pyinstrument 5.0.2%2Bds

=== debian/control ===
Source: python-pyinstrument
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
  Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 furo,
 libpython3-all-dev,
 pybuild-plugin-pyproject,
 python3-all,
 python3-flaky <!nocheck>,
 python3-greenlet <!nocheck>,
 python3-myst-parser <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-autobuild,
 python3-sphinxcontrib.programoutput,
 python3-trio <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/joerick/pyinstrument
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyinstrument
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyinstrument.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-pyinstrument-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Call stack profiler for Python with colored output (Documentation)
 Pyinstrument is a Python profiler. A profiler is a tool to help you optimize
 your code - make it faster. To get the biggest speed increase you should focus
 on the slowest part of your program. Pyinstrument helps you find it!
 .
 This package contains the documentation for python3-pyinstrument.

Package: python3-pyinstrument
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-pyinstrument-doc,
Description: Call stack profiler for Python with colored output
 Pyinstrument is a Python profiler. A profiler is a tool to help you optimize
 your code - make it faster. To get the biggest speed increase you should focus
 on the slowest part of your program. Pyinstrument helps you find it!
 .
 The packages includes the examples from the upstream project, have a look at
 /usr/share/doc/python3-pyinstrument/examples once you've installed the package.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/buildflags.mk

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=pyinstrument

SPHINXOPTS := -E -N

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mypy_cache .pytest_cache

override_dh_sphinxdoc:
	cd .pybuild && \
	PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "$(PYBUILD_NAME)*dist-info" | head -n1)` && \
	PATH=$(shell realpath $$(find . -type d -name scripts | head -n1)):$(PATH) && \
	export PYTHONPATH && \
	export PATH && \
	    python3 -m sphinx -b man $(SPHINXOPTS) ../docs $(CURDIR)/debian
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	cd .pybuild && \
	PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "$(PYBUILD_NAME)*dist-info" | head -n1)` && \
	PATH=$(shell realpath $$(find . -type d -name scripts | head -n1)):$(PATH) && \
	export PYTHONPATH && \
	export PATH && \
	    python3 -m sphinx -b html $(SPHINXOPTS) ../docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	rm -rf $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html/.doctree
	cp docs/img/screenshot.jpg $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html/_images
	sed -i -e 's,https:\/\/github.com\/joerick\/pyinstrument\/raw\/main\/docs\/img\/,file:\/\/\/usr\/share\/doc\/python-$(PYBUILD_NAME)-doc\/html\/_images\/,g' \
	    $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html/home.html
endif
	dh_sphinxdoc

override_dh_fixperms:
	for FILE in `find $(CURDIR)/debian/python3-$(PYBUILD_NAME)/ -type f -name ".gitignore"`; do \
	    rm -rf $${FILE} ;\
	done
	dh_fixperms

## python-pyinstrument 5.0.2+ds

=== debian/changelog ===
python-pyinstrument (5.0.2+ds-1) experimental; urgency=medium

  * [1fd85d9] New upstream version 5.0.2+ds
  * [1001ee3] First and basic Debianization
    (Closes: #1107401)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 16 Jun 2025 17:25:55 +0200

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-flaky,
 python3-greenlet,
 python3-myst-parser,
 python3-pytest,
 python3-pytest-asyncio,
 python3-trio,
 @,
Restrictions:
 allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
	  repacksuffix=+ds, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/joerick/pyinstrument.git \
      refs/tags/@ANY_VERSION@

## python-pyinstrument 5.1.1+ds

=== debian/changelog ===
python-pyinstrument (5.1.1+ds-1) unstable; urgency=medium

  * [3e983d5] d/watch: Convert to version 5
  * [be2423b] New upstream version 5.1.1+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Nov 2025 09:41:00 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,6 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyinstrument
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyinstrument.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python-pyinstrument-doc
 Section: doc

=== debian/watch ===
Version: 5

Source: https://github.com/joerick/pyinstrument.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Mode: git
Pgpmode: none
Repacksuffix: +ds
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/

## python-pyinstrument 5.1.2+ds

=== debian/changelog ===
python-pyinstrument (5.1.2+ds-1) unstable; urgency=medium

  * [2833bd0] New upstream version 5.1.2+ds
  * [c97b94e] Rebuild patch queue from patch-queue barnch
    Added patch:
    p-profiler.py-Fix-small-type.patch
  * [256444e] d/control: Bump Standards-Version to 4.7.3
    No further changes needed.
  * [7aaaf55] d/control: Drop field Priority: optional
  * [bd98e1a] d/rules: Use older Python version for doc build
  * [27c6acd] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Jan 2026 09:25:29 +0200

python-pyinstrument (5.1.1+ds-2) unstable; urgency=medium

  * [e26edab] d/control: Remove nocheck from python3-myst-parser
    (Closes: #1122314)
  * [93630c0] d/salsa-ci.yml: Add dedicated Salsa CI config
  * [5b45c68] autopkgtest: Ignore failing tests due two Python versions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 11 Dec 2025 19:43:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-pyinstrument
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
   Carsten Schoenert <c.schoenert@t-online.de>
@@ -14,7 +13,7 @@
  python3-all,
  python3-flaky <!nocheck>,
  python3-greenlet <!nocheck>,
- python3-myst-parser <!nocheck>,
+ python3-myst-parser,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-setuptools,
@@ -22,7 +21,7 @@
  python3-sphinx-autobuild,
  python3-sphinxcontrib.programoutput,
  python3-trio <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/joerick/pyinstrument
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyinstrument
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyinstrument.git

=== debian/rules ===
--- 
+++ 
@@ -20,15 +20,15 @@
 
 override_dh_sphinxdoc:
 	cd .pybuild && \
-	PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "$(PYBUILD_NAME)*dist-info" | head -n1)` && \
-	PATH=$(shell realpath $$(find . -type d -name scripts | head -n1)):$(PATH) && \
+	PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "$(PYBUILD_NAME)*dist-info" | sort | head -n1)` && \
+	PATH=$(shell realpath $$(find . -type d -name scripts | sort | head -n1)):$(PATH) && \
 	export PYTHONPATH && \
 	export PATH && \
 	    python3 -m sphinx -b man $(SPHINXOPTS) ../docs $(CURDIR)/debian
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	cd .pybuild && \
-	PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "$(PYBUILD_NAME)*dist-info" | head -n1)` && \
-	PATH=$(shell realpath $$(find . -type d -name scripts | head -n1)):$(PATH) && \
+	PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "$(PYBUILD_NAME)*dist-info" | sort | head -n1)` && \
+	PATH=$(shell realpath $$(find . -type d -name scripts | sort | head -n1)):$(PATH) && \
 	export PYTHONPATH && \
 	export PATH && \
 	    python3 -m sphinx -b html $(SPHINXOPTS) ../docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
